Omniplex Docs

Health

Lightweight per-subsystem health checks for external uptime monitoring. Each returns 200 when healthy and 503 when not — no response body needed.

GET
/health/api

Health: API

Returns 200 if API is healthy, 503 if not. No response body to parse status code is the signal.

/health/api
curl -X GET "https://spider.omniplex.gg/health/api"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/api

Health: API

Returns 200 if API is healthy, 503 if not. No response body to parse status code is the signal.

/health/api
curl -X HEAD "https://spider.omniplex.gg/health/api"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/bots

Health: Bot Listings

Returns 200 if Bot Listings is healthy, 503 if not. No response body to parse status code is the signal.

/health/bots
curl -X GET "https://spider.omniplex.gg/health/bots"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/bots

Health: Bot Listings

Returns 200 if Bot Listings is healthy, 503 if not. No response body to parse status code is the signal.

/health/bots
curl -X HEAD "https://spider.omniplex.gg/health/bots"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/servers

Health: Server Listings

Returns 200 if Server Listings is healthy, 503 if not. No response body to parse status code is the signal.

/health/servers
curl -X GET "https://spider.omniplex.gg/health/servers"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/servers

Health: Server Listings

Returns 200 if Server Listings is healthy, 503 if not. No response body to parse status code is the signal.

/health/servers
curl -X HEAD "https://spider.omniplex.gg/health/servers"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/packs

Health: Pack Listings

Returns 200 if Pack Listings is healthy, 503 if not. No response body to parse status code is the signal.

/health/packs
curl -X GET "https://spider.omniplex.gg/health/packs"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/packs

Health: Pack Listings

Returns 200 if Pack Listings is healthy, 503 if not. No response body to parse status code is the signal.

/health/packs
curl -X HEAD "https://spider.omniplex.gg/health/packs"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/blogs

Health: Blog Service

Returns 200 if Blog Service is healthy, 503 if not. No response body to parse status code is the signal.

/health/blogs
curl -X GET "https://spider.omniplex.gg/health/blogs"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/blogs

Health: Blog Service

Returns 200 if Blog Service is healthy, 503 if not. No response body to parse status code is the signal.

/health/blogs
curl -X HEAD "https://spider.omniplex.gg/health/blogs"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/search

Health: Search Service

Returns 200 if Search Service is healthy, 503 if not. No response body to parse status code is the signal.

/health/search
curl -X GET "https://spider.omniplex.gg/health/search"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/search

Health: Search Service

Returns 200 if Search Service is healthy, 503 if not. No response body to parse status code is the signal.

/health/search
curl -X HEAD "https://spider.omniplex.gg/health/search"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/auth

Health: Discord Auth

Returns 200 if Discord Auth is healthy, 503 if not. No response body to parse status code is the signal.

/health/auth
curl -X GET "https://spider.omniplex.gg/health/auth"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/auth

Health: Discord Auth

Returns 200 if Discord Auth is healthy, 503 if not. No response body to parse status code is the signal.

/health/auth
curl -X HEAD "https://spider.omniplex.gg/health/auth"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/tickets

Health: Support Tickets

Returns 200 if Support Tickets is healthy, 503 if not. No response body to parse status code is the signal.

/health/tickets
curl -X GET "https://spider.omniplex.gg/health/tickets"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/tickets

Health: Support Tickets

Returns 200 if Support Tickets is healthy, 503 if not. No response body to parse status code is the signal.

/health/tickets
curl -X HEAD "https://spider.omniplex.gg/health/tickets"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/staff-panel

Health: Staff Panel

Returns 200 if Staff Panel is healthy, 503 if not. No response body to parse status code is the signal.

/health/staff-panel
curl -X GET "https://spider.omniplex.gg/health/staff-panel"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/staff-panel

Health: Staff Panel

Returns 200 if Staff Panel is healthy, 503 if not. No response body to parse status code is the signal.

/health/staff-panel
curl -X HEAD "https://spider.omniplex.gg/health/staff-panel"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/database

Health: Database

Returns 200 if Database is healthy, 503 if not. No response body to parse status code is the signal.

/health/database
curl -X GET "https://spider.omniplex.gg/health/database"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/database

Health: Database

Returns 200 if Database is healthy, 503 if not. No response body to parse status code is the signal.

/health/database
curl -X HEAD "https://spider.omniplex.gg/health/database"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/infernoplex

Health: Infernoplex

Returns 200 if Infernoplex is healthy, 503 if not. No response body to parse status code is the signal.

/health/infernoplex
curl -X GET "https://spider.omniplex.gg/health/infernoplex"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/infernoplex

Health: Infernoplex

Returns 200 if Infernoplex is healthy, 503 if not. No response body to parse status code is the signal.

/health/infernoplex
curl -X HEAD "https://spider.omniplex.gg/health/infernoplex"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/health/arcadia

Health: Arcadia

Returns 200 if Arcadia is healthy, 503 if not. No response body to parse status code is the signal.

/health/arcadia
curl -X GET "https://spider.omniplex.gg/health/arcadia"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

HEAD
/health/arcadia

Health: Arcadia

Returns 200 if Arcadia is healthy, 503 if not. No response body to parse status code is the signal.

/health/arcadia
curl -X HEAD "https://spider.omniplex.gg/health/arcadia"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}